# Returns Delivery Note Information

## GET /Invoices/{UUID}/DespatchInfo

> Faturanın irsaliye bilgisini getirir.

```json
{"openapi":"3.0.1","info":{"title":"E-Archive API","version":"v1"},"servers":[{"url":"/earchive"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"API anahtar� giriniz","scheme":"Bearer","bearerFormat":"JWT"}},"schemas":{"DocumentReference":{"type":"object","properties":{"ID":{"$ref":"#/components/schemas/IDType"},"IssueDate":{"type":"string","nullable":true},"DocumentTypeCode":{"type":"string","nullable":true},"DocumentType":{"type":"string","nullable":true},"DocumentDescription":{"type":"string","nullable":true},"Attachment":{"$ref":"#/components/schemas/Attachment"},"ValidityPeriod":{"$ref":"#/components/schemas/Period"},"IssuerParty":{"$ref":"#/components/schemas/Party"}},"additionalProperties":false},"IDType":{"type":"object","properties":{"Id":{"type":"string","nullable":true},"SchemeId":{"type":"string","nullable":true}},"additionalProperties":false},"Attachment":{"type":"object","properties":{"ExternalReference":{"$ref":"#/components/schemas/ExternalReference"},"EmbeddedDocumentBinaryObject":{"$ref":"#/components/schemas/EmbeddedDocumentBinaryObject"}},"additionalProperties":false},"ExternalReference":{"type":"object","properties":{"URI":{"type":"string","nullable":true}},"additionalProperties":false},"EmbeddedDocumentBinaryObject":{"type":"object","properties":{"Name":{"type":"string","nullable":true},"CharacterSetCode":{"type":"string","nullable":true},"EncodingCode":{"type":"string","nullable":true},"MimeCode":{"type":"string","nullable":true},"Filename":{"type":"string","nullable":true},"Value":{"type":"string","format":"byte","nullable":true}},"additionalProperties":false},"Period":{"type":"object","properties":{"StartDate":{"type":"string","nullable":true},"StartTime":{"type":"string","nullable":true},"EndDate":{"type":"string","nullable":true},"EndTime":{"type":"string","nullable":true},"DurationMeasure":{"$ref":"#/components/schemas/DurationMeasure"},"Description":{"type":"string","nullable":true}},"additionalProperties":false},"DurationMeasure":{"type":"object","properties":{"Value":{"type":"number","format":"double"},"UnitCode":{"type":"string","nullable":true}},"additionalProperties":false},"Party":{"type":"object","properties":{"EndpointID":{"type":"string","nullable":true},"WebSiteURI":{"type":"string","nullable":true},"IndustryClassificationCode":{"$ref":"#/components/schemas/DocumentCurrencyCode"},"PartyIdentification":{"type":"array","items":{"$ref":"#/components/schemas/PartyIdentification"},"nullable":true},"PartyName":{"$ref":"#/components/schemas/PartyName"},"PostalAddress":{"$ref":"#/components/schemas/Address"},"PartyTaxScheme":{"$ref":"#/components/schemas/PartyTaxScheme"},"PartyLegalEntity":{"$ref":"#/components/schemas/PartyLegalEntity"},"Contact":{"$ref":"#/components/schemas/Contact"},"Person":{"$ref":"#/components/schemas/Person"},"AgentParty":{"$ref":"#/components/schemas/PartyWithOutAgentParty"}},"additionalProperties":false},"DocumentCurrencyCode":{"type":"object","properties":{"Name":{"type":"string","nullable":true},"ListID":{"type":"string","nullable":true},"ListAgencyName":{"type":"string","nullable":true},"ListName":{"type":"string","nullable":true},"ListVersionID":{"type":"string","nullable":true}},"additionalProperties":false},"PartyIdentification":{"type":"object","properties":{"ID":{"$ref":"#/components/schemas/IDType"},"SchemeID":{"type":"string","nullable":true}},"additionalProperties":false},"PartyName":{"type":"object","properties":{"Name":{"type":"string","nullable":true}},"additionalProperties":false},"Address":{"type":"object","properties":{"ID":{"$ref":"#/components/schemas/IDType"},"Postbox":{"type":"string","nullable":true},"Room":{"type":"string","nullable":true},"StreetName":{"type":"string","nullable":true},"BlockName":{"type":"string","nullable":true},"BuildingName":{"type":"string","nullable":true},"BuildingNumber":{"type":"string","nullable":true},"CitySubdivisionName":{"type":"string","nullable":true},"CityName":{"type":"string","nullable":true},"PostalZone":{"type":"string","nullable":true},"Region":{"type":"string","nullable":true},"District":{"type":"string","nullable":true},"Country":{"$ref":"#/components/schemas/Country"}},"additionalProperties":false},"Country":{"type":"object","properties":{"IdentificationCode":{"type":"string","nullable":true},"Name":{"type":"string","nullable":true}},"additionalProperties":false},"PartyTaxScheme":{"type":"object","properties":{"TaxScheme":{"$ref":"#/components/schemas/TaxScheme"}},"additionalProperties":false},"TaxScheme":{"type":"object","properties":{"Name":{"type":"string","nullable":true},"TaxTypeCode":{"type":"string","nullable":true}},"additionalProperties":false},"PartyLegalEntity":{"type":"object","properties":{"RegistrationName":{"type":"string","nullable":true},"CompanyID":{"$ref":"#/components/schemas/IDType"},"RegistrationDate":{"type":"string","nullable":true},"SoleProprietorshipIndicator":{"type":"string","nullable":true},"CorporateStockAmount":{"$ref":"#/components/schemas/BaseCurrency"},"FullyPaidSharesIndicator":{"type":"string","nullable":true},"CorporateRegistrationScheme":{"$ref":"#/components/schemas/CorporateRegistrationScheme"},"HeadOfficeParty":{"$ref":"#/components/schemas/Party"}},"additionalProperties":false},"BaseCurrency":{"type":"object","properties":{"CurrencyID":{"type":"string","nullable":true},"Value":{"type":"number","format":"double"}},"additionalProperties":false},"CorporateRegistrationScheme":{"type":"object","properties":{"ID":{"$ref":"#/components/schemas/IDType"},"Name":{"type":"string","nullable":true},"CorporateRegistrationTypeCode":{"$ref":"#/components/schemas/DocumentCurrencyCode"},"JurisdictionRegionAddress":{"type":"array","items":{"$ref":"#/components/schemas/Address"},"nullable":true}},"additionalProperties":false},"Contact":{"type":"object","properties":{"Telephone":{"type":"string","nullable":true},"Telefax":{"type":"string","nullable":true},"ElectronicMail":{"type":"string","nullable":true},"Note":{"type":"string","nullable":true},"OtherCommunications":{"type":"array","items":{"$ref":"#/components/schemas/Communication"},"nullable":true}},"additionalProperties":false},"Communication":{"type":"object","properties":{"ChannelCode":{"type":"string","nullable":true},"Channel":{"type":"string","nullable":true},"Value":{"type":"string","nullable":true}},"additionalProperties":false},"Person":{"type":"object","properties":{"FirstName":{"type":"string","nullable":true},"FamilyName":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"MiddleName":{"type":"string","nullable":true},"NameSuffix":{"type":"string","nullable":true},"NationalityID":{"$ref":"#/components/schemas/IDType"},"FinancialAccount":{"$ref":"#/components/schemas/FinancialAccount"},"IdentityDocumentReference":{"$ref":"#/components/schemas/DocumentReference"}},"additionalProperties":false},"FinancialAccount":{"type":"object","properties":{"ID":{"$ref":"#/components/schemas/IDType"},"CurrencyCode":{"type":"string","nullable":true},"PaymentNote":{"type":"string","nullable":true},"FinancialInstitutionBranch":{"$ref":"#/components/schemas/FinancialInstitutionBranch"}},"additionalProperties":false},"FinancialInstitutionBranch":{"type":"object","properties":{"Name":{"type":"string","nullable":true},"FinancialInstitution":{"$ref":"#/components/schemas/FinancialInstitution"}},"additionalProperties":false},"FinancialInstitution":{"type":"object","properties":{"Name":{"type":"string","nullable":true}},"additionalProperties":false},"PartyWithOutAgentParty":{"type":"object","properties":{"EndpointID":{"type":"string","nullable":true},"WebSiteURI":{"type":"string","nullable":true},"IndustryClassificationCode":{"$ref":"#/components/schemas/DocumentCurrencyCode"},"PartyIdentification":{"type":"array","items":{"$ref":"#/components/schemas/PartyIdentification"},"nullable":true},"PartyName":{"$ref":"#/components/schemas/PartyName"},"PostalAddress":{"$ref":"#/components/schemas/Address"},"PartyTaxScheme":{"$ref":"#/components/schemas/PartyTaxScheme"},"PartyLegalEntity":{"$ref":"#/components/schemas/PartyLegalEntity"},"Contact":{"$ref":"#/components/schemas/Contact"},"Person":{"$ref":"#/components/schemas/Person"}},"additionalProperties":false}}},"paths":{"/Invoices/{UUID}/DespatchInfo":{"get":{"tags":["Invoices"],"summary":"Faturanın irsaliye bilgisini getirir.","parameters":[{"name":"UUID","in":"path","description":"","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Faturanın irsaliye bilgisini getirir","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DocumentReference"}}}}},"400":{"description":"Geçersiz İstek | Gönderdiğiniz istekte geçersiz veriler bulunduğu anlamında gelmektedir | Detaylar için <a target=\"_blank\" href=\"https://developer.nilvera.com/hata-kodlari#badrequest-400\">tıklayınız</a>"},"403":{"description":"Yetkisiz Erişim | Bu uca erişmek için gerekli yetkiye sahip olmadığınız durumda dönülür"},"404":{"description":"Parametrede belirtilen kayıt bulunamadığında dönülür | Detaylar için <a target=\"_blank\" href=\"https://developer.nilvera.com/hata-kodlari#notfound-404\">tıklayınız</a>"},"422":{"description":"Gönderdiğiniz istek geçerli fakat iş kuralları gereği geçersiz değerler içerdiğinde dönülür | Detaylar için <a target=\"_blank\" href=\"https://developer.nilvera.com/hata-kodlari#unprocessableentity-422\">tıklayınız</a>"}}}}}}
```

{% tabs %}
{% tab title="C#" %}

```csharp
var client = new RestClient("https://apitest.nilvera.com/earchive/Invoices/2e58440f-9a81-49f3-8b82-7321265fa2f0/DespatchInfo");
client.Timeout = -1;
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <API KEY>");
IRestResponse response = client.Execute(request);
Console.WriteLine(response.Content);
```

{% endtab %}

{% tab title="PHP - cURL" %}

```php
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://apitest.nilvera.com/earchive/Invoices/2e58440f-9a81-49f3-8b82-7321265fa2f0/DespatchInfo',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer <API KEY>'
  ),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;
```

{% endtab %}

{% tab title="NodeJs - Axios" %}

```javascript
var axios = require('axios');
var config = {
  method: 'get',
  url: 'https://apitest.nilvera.com/earchive/Invoices/2e58440f-9a81-49f3-8b82-7321265fa2f0/DespatchInfo',
  headers: { 
    'Authorization': 'Bearer <API KEY>'
  }
};
axios(config)
.then(function (response) {
  console.log(JSON.stringify(response.data));
})
.catch(function (error) {
  console.log(error);
});
```

{% endtab %}
{% endtabs %}
